ImportError in widgets.py

Bug #240328 reported by Andrea Corbellini on 2008-06-16
4
Affects Status Importance Assigned to Milestone
bzr-gedit
Medium
Javier Derderyan

Bug Description

With the latest release of bzr-gedit (0.5) the plugin can't be loaded because of an ImportError:

Traceback (most recent call last):
  File "/home/andrea/.gnome2/gedit/plugins/bzr/__init__.py", line 40, in <module>
    import widgets
  File "/home/andrea/.gnome2/gedit/plugins/bzr/widgets.py", line 8, in <module>
    from bzrlib.plugins.gtk import _i18n
ImportError: cannot import name _i18n

In fact _i18n doesn't exist in bzr (1.6b2). Instead there's gettext so this problem can be fixed in this way:
  -from bzrlib.plugins.gtk import _i18n
  +from bzrlib.plugins.gtk import gettext
  +_i18n = gettext.gettext

description: updated
Changed in bzr-gedit:
assignee: nobody → javierder
status: New → Confirmed
Revision history for this message
Thanos Lefteris (alefteris) wrote :

Thanks for reporting this bug. I was able to reproduce this bug using Bazaar (bzr) 1.5 and bzr-gedit 0.5. The fix you suggested worked for me as well.

Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here.

Changed in bzr-gedit:
importance: Undecided → Medium
status: Confirmed → Fix Committed
Changed in bzr-gedit:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers